Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ui.commands
Class Priority

    java.lang.Object
      org.eclipse.ui.commands.Priority

All Implemented Interfaces:
  Comparable

public final class Priority
extends Object
implements Comparable

An instance of this interface represents a priority for use with instances of `HandlerSubmission`.

The order of precedence (from highest to lowest) is as follows. Submissions with higher priority will be preferred over those with lower priority.

1. MEDIUM
2. LOW
3. LEGACY

This class is not intended to be extended by clients.

Since:
  3.0
See Also:
  `HandlerSubmission`

Field Summary
`static Priority` | `LEGACY` An instance representing 'legacy' priority.
`static Priority` | `LOW` An instance representing 'low' priority.
`static Priority` | `MEDIUM` An instance representing 'medium' priority.

Method Summary
`int` | `compareTo(Object object)`
`int` | `hashCode()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### LEGACY

    public static final Priority LEGACY

  An instance representing 'legacy' priority.

### LOW

    public static final Priority LOW

  An instance representing 'low' priority.

### MEDIUM

    public static final Priority MEDIUM

  An instance representing 'medium' priority.

Method Detail

### compareTo

    public int compareTo(Object object)

  Specified by:
    `compareTo` in interface `Comparable`
  See Also:
    `Comparable.compareTo(java.lang.Object)`

### hashCode

    public int hashCode()

  See Also:
    `Object.hashCode()`

### toString

    public String toString()

  See Also:
    `Object.toString()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.